%ifarch %{arm} aarch64
%define build_docs         0
%else
%define build_docs         0
%endif

%define qtmajor 6
%define qtminor 2
%define qtsubminor 1

%define rel 1
%define snapshot 0

%define qtversion          %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtpositioning   %mklibname qt6positioning %qtmajor
%define libqtpositioning_d %mklibname qt6positioning -d

%define libqtpositioningquick   %mklibname qt6positioningquick %qtmajor

%if %snapshot
%define qttarballdir       qtlocation-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir       qtlocation-everywhere-src-%{qtversion}
%endif

Name:           qtlocation6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Location component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase6-devel >= %{version}
BuildRequires:  cmake(Qt6Quick) >= %{version}
BuildRequires:  cmake(Qt6Qml) >= %{version}
BuildRequires:  pkgconfig(geoclue-2.0)
BuildRequires:  pkgconfig(gypsy)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libssl)
BuildRequires: ninja
BuildRequires: qttools6
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Location component.

%files
%{_qt6_qmldir}/QtPositioning/
%{_qt6_examplesdir}/positioning/
%{_qt6_plugindir}/position/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtLocation%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtLocation%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qtlocation.qch
%{_qt6_docdir}/qtlocation/
%{_qt6_docdir}/qtpositioning.qch
%{_qt6_docdir}/qtpositioning/
%endif

#------------------------------------------------------------------------------

%package -n     qtpositioning6
Summary:        Qt%{qtmajor} Positioning Component
Group:          System/Libraries
Requires:       %{libqtpositioning} = %{version}
Provides:       qt6positioning = %{version}

%description -n qtpositioning6
Qt%{qtmajor} Positioning Component.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n qtpositioning6
%{_qt6_qmldir}/QtPositioning/
%{_qt6_plugindir}/position/

#------------------------------------------------------------------------------

%package -n     %{libqtpositioning}
Summary:        Qt%{qtmajor} Positioning Component Library
Group:          System/Libraries

%description -n %{libqtpositioning}
Qt%{qtmajor} Positioning Component Library.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n %{libqtpositioning}
%{_qt6_libdir}/libQt6Positioning.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtpositioningquick}
Summary:        Qt%{qtmajor} Positioning Component Library
Group:          System/Libraries

%description -n %{libqtpositioningquick}
Qt%{qtmajor} Positioning Component Library.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n %{libqtpositioningquick}
%{_qt6_libdir}/libQt6PositioningQuick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtpositioning_d}
Summary:        Devel files needed to build apps based on QtPositioning
Group:          Development/KDE and Qt
Requires:       qtpositioning6 = %version
Requires:       %{libqtpositioning} = %version
Requires:       %{libqtpositioningquick} = %version
Provides:       libqtpositioning6-devel = %version
Provides:       libqt6positioning-devel = %version
Provides:       qtpositioning6-devel = %version
Provides:       qt6positioning-devel = %version

Provides:       libqtpositioning6-private-devel = %version
Provides:       libqt6positioning-private-devel = %version
Provides:       qtpositioning6-private-devel = %version
Provides:       qt6positioning-private-devel = %version

Provides:       libqtpositioningquick6-private-devel = %version
Provides:       libqt6positioningquick-private-devel = %version
Provides:       qtpositioningquick6-private-devel = %version
Provides:       qt6positioningquick-private-devel = %version

%description -n %{libqtpositioning_d}
Devel files needed to build apps based on Qt Positioning.

%files -n %{libqtpositioning_d}
%{_qt6_libdir}/libQt6Positioning.prl
%{_qt6_libdir}/libQt6Positioning.so
%{_qt6_libdir}/libQt6PositioningQuick.prl
%{_qt6_libdir}/libQt6PositioningQuick.so
%{_qt6_libdir}/cmake/Qt6Positioning/
%{_qt6_libdir}/cmake/Qt6PositioningQuick/
%{_qt6_libdir}/cmake/Qt6/
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/
%{_qt6_libdir}/cmake//Qt6Bundled_Clip2Tri/
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtLocationTestsConfig.cmake
%{_qt6_examplesdir}/positioning
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_positioning.pri
%{_qt6_includedir}/QtPositioning/
%{_qt6_includedir}/QtPositioningQuick/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_positioning_private.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_positioningquick.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_positioningquick_private.pri
%{_qt6_libdir}/metatypes/qt6positioning_relwithdebinfo_metatypes.json
%{_qt6_libdir}/metatypes/qt6positioningquick_relwithdebinfo_metatypes.json
%{_qt6_datadir}/modules/Positioning*.json

#------------------------------------------------------------------------------

%prep
%setup -q -n qtlocation-everywhere-src-%{qtversion}

%build
%cmake_qt6
%cmake_build

%if %{build_docs}
%__make docs
%endif

%install
%cmake_install

%if %{build_docs}
%make_install install_docs
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
